Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.xmlconfig
Class ArrayParam2D.MatrixRowParam

    java.lang.Object
      umontreal.iro.lecuyer.xmlconfig.AbstractParam
          umontreal.iro.lecuyer.xmlconfig.ParamWithSourceArray
              umontreal.iro.lecuyer.xmlconfig.ArrayParam
                  umontreal.iro.lecuyer.xmlconfig.ArrayParam2D.MatrixRowParam

All Implemented Interfaces:
  Cloneable, Param, StorableParam

Enclosing class:
  ArrayParam2D

    public static final class ArrayParam2D.MatrixRowParam

extends ArrayParam

For internal use only.

Nested Class Summary

Nested classes/interfaces inherited from class umontreal.iro.lecuyer.xmlconfig.ArrayParam
`ArrayParam.RowParam`

Method Summary
`ArrayParam2D.MatrixRowParam` | `clone()`
`int` | `getRepeat()`
`void` | `setRepeat(int r)`

Methods inherited from class umontreal.iro.lecuyer.xmlconfig.ArrayParam
`defaultNestedElement, getBooleanValues, getByteValues, getCharValues, getComponentClass, getDoubleValues, getFloatValues, getIntValues, getLongValues, getShortValues, getValues, isAttributeSupported, makeRow, nestedText, setValues, toElement`

Methods inherited from class umontreal.iro.lecuyer.xmlconfig.ParamWithSourceArray
`addCSV, addDB, addExcel, disposeSourceArray, getDataMatrix, getNumColumn, getNumRows, getSourceSubset, getStartingColumn, getStartingRow, initSourceArray, isTransposed, setDataMatrix, setNumColumns, setNumRows, setStartingColumn, setStartingRow, setTransposed`

Methods inherited from class umontreal.iro.lecuyer.xmlconfig.AbstractParam
`check, createDocument, getId, getXref, setId, setXref, toString, write, write, write, write, write, write, write, write`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getRepeat

    public int getRepeat()

### setRepeat

    public void setRepeat(int r)

### clone

    public ArrayParam2D.MatrixRowParam clone()

  Overrides:
    `clone` in class `ArrayParam`

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.